var cluster = require('cluster');
var os = require('os');
var size = os.cpus().length;
if (cluster.isMaster) {
	for (var i = 0; i < size; i++) {
		cluster.fork();
	}
	cluster.on('exit', function(worker) {
		console.log('worker '+worker.pid+' died');
	});
} else {
	require('./app');
}
